package test;

import javax.persistence.EntityManagerFactory;
import javax.persistence.PersistenceUnit;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

public class TestContextListener implements ServletContextListener {

    @PersistenceUnit
    private EntityManagerFactory emf;

    public void contextInitialized(ServletContextEvent sce) {
        System.out.println("init");
    }

    public void contextDestroyed(ServletContextEvent sce) {
        System.out.println("deinit");
        if (!emf.isOpen()) {
            System.out.println("EMF closed too early");
            throw new IllegalStateException("EMF closed too early");
        } else {
            System.out.println("EMF open as expected");
        }
    }

}
